org.jgroups.persistence

## Class CannotRetrieveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jgroups.persistence.CannotRetrieveException

- All Implemented Interfaces:
    java.io.Serializable

      public class CannotRetrieveException
      extends java.lang.Exception

  Author:
    Mandar Shinde This exception inherits the Exception class and is used in cases where the Persistence Storage cannot retrieve a pair from its storage mechanism (leading to failure of mechanism)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CannotRetrieveException(java.lang.Throwable t, java.lang.String reason)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CannotRetrieveException

          public CannotRetrieveException(java.lang.Throwable t,
                                 java.lang.String reason)

      Parameters:
        `t` -
        `reason` - implementor-specified runtime reason

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`
      Returns:
        String;

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.